Skip to main content
GET
/
v1
/
vaults
/
historical-tvl
Fetch historic TVL data for a vault
curl --request GET \
  --url https://api.paxoslabs.com/v1/vaults/historical-tvl
import requests

url = "https://api.paxoslabs.com/v1/vaults/historical-tvl"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.paxoslabs.com/v1/vaults/historical-tvl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "interval": 86400,
  "base_asset": 1.0970776880180083e+48,
  "base_asset_name": "WETH",
  "data": [
    {
      "time_stamp": 1732679943,
      "tvl": 1500000.5
    }
  ]
}
{
"error": "vault_address is required"
}
{
"error": "<string>"
}

Query Parameters

vault_address
string
required

The address of the vault.

Example:

"0x19e099B7aEd41FA52718D780dDA74678113C0b32"

start_timestamp
integer

Start timestamp for the data range (in seconds). Defaults to 60 days ago if not provided.

Example:

1732679943

end_timestamp
integer

End timestamp for the data range (in seconds). Defaults to current time if not provided.

Example:

173868000

intervals
integer

Time interval between data points in seconds. Defaults to 86400 (1 day) if not provided.

Example:

86400

Response

Successful response with historic TVL data.

interval
integer

The time interval between data points in seconds.

Example:

86400

base_asset
string

The address of the base asset of the vault.

Example:

1.0970776880180083e+48

base_asset_name
string

The name of the base asset of the vault.

Example:

"WETH"

data
object[]

List of TVL data points for each time interval.